## org.hibernate.testing.async
Interface Executable

    public interface Executable

Something we want to perform with protection to time it out.

Method Summary
`void` `execute()` Perform the action
`void` `timedOut()` Called when the timeout period is exceeded.

Method Detail

### execute

    void execute()

  Perform the action

### timedOut

    void timedOut()

  Called when the timeout period is exceeded.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.